Index: Make.rules
===================================================================
--- Make.rules	(revision 2042)
+++ Make.rules	(working copy)
@@ -44,43 +44,50 @@
 	@echo "\t[CC] $<"
 	@$(CC) $(CFLAGS) $(DEFINES) -c $(INC) $< -o $@ \
 	    -MD -dependency-file $(OBJROOT)/$*.d
-	@md -u $(OBJROOT)/Makedep -f -d $(OBJROOT)/$*.d
+	@cat "$(OBJROOT)/$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$(OBJROOT)/$*.d"
 
 $(OBJROOT)/%.o32: %.c
 	@echo "\t[CC32] $<"
 	@$(CC) $(CFLAGS) $(DEFINES) -c $(INC) -arch i386 $< -o $@ \
 	    -MD -dependency-file $(OBJROOT)/$*.d
-	@md -u $(OBJROOT)/Makedep -f -d $(OBJROOT)/$*.d
+	@cat "$(OBJROOT)/$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$(OBJROOT)/$*.d"
 
 $(OBJROOT)/%.o64: %.c
 	@echo "\t[CC64] $<"
 	@$(CC) $(CFLAGS) $(DEFINES) -c $(INC) -arch x86_64 $< -o $@ \
 	    -MD -dependency-file $(OBJROOT)/$*.d
-	@md -u $(OBJROOT)/Makedep -f -d $(OBJROOT)/$*.d
+	@cat "$(OBJROOT)/$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$(OBJROOT)/$*.d"
 
 $(OBJROOT)/%.o: %.m
 	@echo "\t[M] $<"
 	@$(CC) $(CFLAGS) $(DEFINES) -c $(INC) $< -o $@ \
 	    -MD -dependency-file $(OBJROOT)/$*.d
-	@md -u $(OBJROOT)/Makedep -f -d $(OBJROOT)/$*.d
+	@cat "$(OBJROOT)/$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$(OBJROOT)/$*.d"
 
 $(OBJROOT)/%.o: %.cpp
 	@echo "\t[CPP] $<"
 	@$(CPP) $(CPPFLAGS) $(CFLAGS) -c "$<" $(INC) -o $@ \
 	    -MD -dependency-file $(OBJROOT)/$*.d
-	@md -u $(OBJROOT)/Makedep -f -d $(OBJROOT)/$*.d
+	@cat "$(OBJROOT)/$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$(OBJROOT)/$*.d"
 
 $(OBJROOT)/boot2.o:
 	@echo "\t[AS] boot2.s"
 	@$(CC) -Wa,-n -c $(INC) -arch i386 -o $(OBJROOT)/$(@F) boot2.s \
 		    -MD -dependency-file $*.d
-	@md -u $(OBJROOT)/Makedep -f -d $*.d
+	@cat "$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$*.d"
 
 $(OBJROOT)/%.o: %.s
 	@echo "\t[AS] $<"
 	@$(CC) $(CPPFLAGS) -c $(INC) -arch i386 -o $@ $< \
 		    -MD -dependency-file $*.d
-	@md -u $(OBJROOT)/Makedep -f -d $*.d
+	@cat "$*.d" >>"$(OBJROOT)/Makedep"
+	@rm -f "$*.d"
 
 
 CONFIG_FILES=$(SRCROOT)/auto.conf $(SRCROOT)/autoconf.h $(SRCROOT)/autoconf.inc $(SRCROOT)/.config
